[an error occurred while processing this directive]

Verwalten Sie Ihre Webfarben

Behalten Sie mit MyColor Studio den Überblick über Ihre Onlineprojekte

Hier klicken und mehr erfahren

Ganz schön bunt

Laden Sie jetzt stimmige Farbwelten für Ihre Webseiten herunter - kostenlos

Hier klicken und mehr erfahren

[an error occurred while processing this directive]

(Stand: 05.08.20, Adresse: http://www.grammiweb.de/html/html081.shtml)

 

Versionsabhängige Inhalte beim Internet Explorer

Mit jeder Version des MS Internet Explorers erweitert sich dessen Funktionsumfang, was Webdesignern zusätzliche Möglichkeiten bietet, ihre Seiten weiter auszubauen. Leider können diese neuen Features aber meist nicht von älteren Versionen umgesetzt werden, oder aber sie sind in neuen Versionen nicht mehr oder in modifizierter Form enthalten.

Zum Glück haben die Microsoftentwickler mitgedacht und eine einfache Möglichkeit geschaffen, diesen Versionsstand abzufragen. Dazu werden Kommentare eingebunden, die von anderen Browsern übergangen werden, die aber vom Internet Explorer verarbeitet werden.

Die Abfrage:

<!--[if IE 5]>
... Inhalte für Version 5 ...
<![endif]-->
<!--[if IE 5.5]>
... Inhalte für Version 5.5 ...
<![endif]-->
<!--[if IE 6]>
... Inhalte für Version 6 ...
<![endif]-->

Mit dieser Abfrage werden den einzelnen Versionen ihre spezifizierten Inhalte zugewiesen. So würde zum Beispiel der IE Version 5.5 auch nur die Inhalte "serviert" bekommen, die zwischen den Zeilen <!--[if IE 5.5]> und <![endif]--> enthalten sind, der IE Version 6 wiederum würde davon keine Notiz nehmen und statt dessen die ihm zugewiesenen Inhalte verarbeiten.


Zurück zum Inhaltsverzeichnis

[an error occurred while processing this directive] [an error occurred while processing this directive]

© Grammiweb.de Internetlösungen. Alle Rechte vorbehalten. Stand: 05.08.2020
Seitenanfang - Sponsor werden - Datenschutz - Medien - Impressum - Werbung - Hilfe - Kontakt